import { PropType } from 'vue';
export interface FieldShape {
    value?: string;
    editable?: string;
}
export type FormatterFunction = (date: Date | null) => any;
export interface DateProps {
    formatter?: FormatterFunction;
}
export declare const DateField: import("@vue/runtime-core").DefineComponent<import("@vue/runtime-core").ExtractPropTypes<{
    /** The date field data. */
    field: {
        type: PropType<FieldShape>;
        default(): FieldShape;
        required: true;
    };
    /**
     * The HTML element that will wrap the contents of the field.
     */
    tag: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Can be used to explicitly disable inline editing.
     * If true and `field.editable` has a value, then `field.editable`
     * will be processed and rendered as component output.
     * If false, `field.editable` value will be ignored and not rendered.
     */
    editable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * A function that receives the date field value as a parsed JavaScript Date object.
     * The return value will be rendered as child/children of the wrapping element of the component.
     */
    formatter: {
        type: PropType<FormatterFunction>;
        default: any;
    };
}>, {}, {}, {}, {}, import("@vue/runtime-core").ComponentOptionsMixin, import("@vue/runtime-core").ComponentOptionsMixin, {}, string, import("@vue/runtime-core").PublicProps, Readonly<import("@vue/runtime-core").ExtractPropTypes<{
    /** The date field data. */
    field: {
        type: PropType<FieldShape>;
        default(): FieldShape;
        required: true;
    };
    /**
     * The HTML element that will wrap the contents of the field.
     */
    tag: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Can be used to explicitly disable inline editing.
     * If true and `field.editable` has a value, then `field.editable`
     * will be processed and rendered as component output.
     * If false, `field.editable` value will be ignored and not rendered.
     */
    editable: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * A function that receives the date field value as a parsed JavaScript Date object.
     * The return value will be rendered as child/children of the wrapping element of the component.
     */
    formatter: {
        type: PropType<FormatterFunction>;
        default: any;
    };
}>> & Readonly<{}>, {
    field: FieldShape;
    editable: boolean;
    tag: string;
    formatter: FormatterFunction;
}, {}, {}, {}, string, import("@vue/runtime-core").ComponentProvideOptions, true, {}, any>;
